com.sun.java.xml.ns.javaee

## Class DescriptionType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.XsdStringType
  - - com.sun.java.xml.ns.javaee.DescriptionType

-     public class DescriptionType
      extends XsdStringType

  The description type is used by a description element to provide text describing the parent element. The elements that use this type should include any information that the Deployment Component's Deployment File file producer wants to provide to the consumer of the Deployment Component's Deployment File (i.e., to the Deployer). Typically, the tools used by such a Deployment File consumer will display the description when processing the parent element that contains the description. The lang attribute defines the language that the description is provided in. The default value is "en" (English).

  Java-Klasse für descriptionType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="descriptionType">
         <simpleContent>
           <extension base="<http://java.sun.com/xml/ns/javaee>xsdStringType">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `lang`

    - ### Fields inherited from class com.sun.java.xml.ns.javaee.XsdStringType

      `id, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescriptionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Ruft den Wert der lang-Eigenschaft ab.
    `void` | `setLang(String value)` Legt den Wert der lang-Eigenschaft fest.

    - ### Methods inherited from class com.sun.java.xml.ns.javaee.XsdStringType

      `getId, getValue, setId, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lang

          protected String lang

  - ### Constructor Detail

    - #### DescriptionType

          public DescriptionType()

  - ### Method Detail

    - #### getLang

          public String getLang()

      Ruft den Wert der lang-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Legt den Wert der lang-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.